package database

import (
	"time"

	"github.com/google/uuid"
	"github.com/jinzhu/gorm"

	_ "github.com/jinzhu/gorm/dialects/sqlite"
)

// NB that when you add a model below you must add it to this list!

func (m *Manager) doMigrations() {
	m.db.AutoMigrate(&instance{})
}

type instance struct {
	gorm.Model
	Identifier                 uuid.UUID
	ErrorCount                 uint
	SuccessCount               uint
	HighestID                  int
	Hostname                   string
	Identified                 bool
	Fetching                   bool
	Disabled                   bool
	Implementation             string
	NextFetch                  time.Time
	NodeInfoURL                string
	ServerVersionString        string
	ServerImplementationString string
}

func (m *Manager) ListInstances() {
	// FIXME have this produce a list of Instance
}
